﻿init:
    # main menu animation
    # some setup first
    # seting custom speed Dissolve
    $ dis = Dissolve(2)
    # time text is shown
    $ ttime = 5
    # time text isn't shown
    $ btime = 2

    # credits text
    $ credits = u"written by denzil\nenglish translation: mikey\ngraphics:\nDaFool\nBCS\nVatina\n\nmusic:\nAlessio\n\npowered by renpy engine"
    $ rcredits= ui.text(credits, color = (160, 160, 160, 255), italic = True)


    # putting text into variables so the code is more readable

    $ t1 = u"we got nothing\nour hearts are empty\nand only silence\nsurrounds us\n"
    $ t2 = u"we are dancing\nour last dance\nstep by step\nwe are going\ntowards our end\n"
    $ t3 = u"eyes that have seen too much\nare looking at me\nreborn from our sins\ni can see the pain\ni'd like to pay\nfor what we have done\nbut there's nothing left\nnot even dreams\n"
    $ t4 = u"lost in this world\ni wander around\nonly ruins surround me\nwhat happend\ni ask\nwith no one to answer\n"
    $ t5 = u"passing shadowy figures\ni am one of them\nwe are the same\nempty bodies\nno soul\n"
    $ t6 = u"šedé mraky\nžádná barva\nvšude jenom ticho\ndokonce i slunce\nnás opustilo\n"
    $ t7 = u"probuď mě\nkřičím\nale nevydám ani hlásku\nnení tu nikdo\nkdo by mě slyšel\nnikdo\nkdo by mi dokázal pomoci\n"
    $ t8 = u"zrnko za zrnkem\nmi protéká čas mezi prsty\na pak mizí\na já nehnutě čekám\nna někoho\nkdo nepřijde\n"
    $ t9 = u"každé ráno\nprobouzejíc se z noční můry\nkřičím\nkéž bych\nuž nikdy neusnul\n"
    $ t10 = u"lost in a place\ni called home\ni try to leave\nbut don't know the way\n"
    $ t11 = u"day after day\nwe live in our hell\nnot trying to escape\neven our shadows\nare more free\n"
    $ t12 = u"dívám se do tvých\na vidím strach\nzemřeli jsme\nv den našeho zrození\na hledáme cestu zpět\n"
    $ t13 = u"i live\nmy last dream\nwe're leaving\nand our memories\nare staying here\n"
    $ t14 = u"falling down\ni saw a bird\nflying up\nbeautiful wings\nas if from another world\nbringing back memories\ni shared with you"

    # rendring text into images
    $ tr1= ui.text(t1, color = (160, 160, 160, 255), italic = True)
    $ tr2= ui.text(t2, color = (160, 160, 160, 255), italic = True)
    $ tr3= ui.text(t3, color = (160, 160, 160, 255), italic = True)
    $ tr4= ui.text(t4, color = (160, 160, 160, 255), italic = True)
    $ tr5= ui.text(t5, color = (160, 160, 160, 255), italic = True)
    $ tr6= ui.text(t6, color = (160, 160, 160, 255), italic = True)
    $ tr7= ui.text(t7, color = (160, 160, 160, 255), italic = True)
    $ tr8= ui.text(t8, color = (160, 160, 160, 255), italic = True)
    $ tr9= ui.text(t9, color = (160, 160, 160, 255), italic = True)
    $ tr10= ui.text(t10, color = (160, 160, 160, 255), italic = True)
    $ tr11= ui.text(t11, color = (160, 160, 160, 255), italic = True)
    $ tr12= ui.text(t12, color = (160, 160, 160, 255), italic = True)
    $ tr13= ui.text(t13, color = (160, 160, 160, 255), italic = True)
    $ tr14= ui.text(t14, color = (160, 160, 160, 255), italic = True)


    # setup of animation itself
    $ textanim = anim.SMAnimation(
            "credits",
            anim.State("credits", rcredits),
            anim.State("c", rcredits),
            anim.State("b", Solid((0, 0, 0, 255))),
            # b stands for blank

            anim.State("t1", tr1),
            anim.State("t2", tr2),
            anim.State("t3", tr3),
            anim.State("t4", tr4),
            anim.State("t5", tr5),
            anim.State("t6", tr6),
            anim.State("t7", tr7),
            anim.State("t8", tr8),
            anim.State("t9", tr9),
            anim.State("t10", tr10),
            anim.State("t11", tr11),
            anim.State("t12", tr12),
            anim.State("t13", tr13),
            anim.State("t14", tr14),

            anim.Edge("credits", 5, "c"),

            anim.Edge("c", btime, "b", dis),
            anim.Edge("b", ttime, "c", dis),

            anim.Edge("t1", btime, "b", dis),
            anim.Edge("b", ttime, "t1", dis),
            anim.Edge("t2", btime, "b", dis),
            anim.Edge("b", ttime, "t2", dis),
            anim.Edge("t3", btime, "b", dis),
            anim.Edge("b", ttime, "t3", dis),
            anim.Edge("t4", btime, "b", dis),
            anim.Edge("b", ttime, "t4", dis),
            anim.Edge("t5", btime, "b", dis),
            anim.Edge("b", ttime, "t5", dis),
            anim.Edge("t6", btime, "b", dis),
            anim.Edge("b", ttime, "t6", dis),
            anim.Edge("t7", btime, "b", dis),
            anim.Edge("b", ttime, "t7", dis),
            anim.Edge("t8", btime, "b", dis),
            anim.Edge("b", ttime, "t8", dis),
            anim.Edge("t9", btime, "b", dis),
            anim.Edge("b", ttime, "t9", dis),
            anim.Edge("t10", btime, "b", dis),
            anim.Edge("b", ttime, "t10", dis),
            anim.Edge("t11", btime, "b", dis),
            anim.Edge("b", ttime, "t11", dis),
            anim.Edge("t12", btime, "b", dis),
            anim.Edge("b", ttime, "t12", dis),
            anim.Edge("t13", btime, "b", dis),
            anim.Edge("b", ttime, "t13", dis),
            anim.Edge("t14", btime, "b", dis),
            anim.Edge("b", ttime, "t14", dis),
            )

    # showing main menu itself
    $ title = ui.text("colorless day", size = 40, color = (160, 160, 160, 255))
    $ style.mm_root.background = LiveComposite((800, 600), (.1, .05), title, (.12, .35), textanim)

    # main menu buttons modification
    python hide:
        library.main_menu = [
            ("english/anglicky", ui.jumps(""), 'False'),
            ("in silence", "in_silence_en", 'True'),
            ("last dance", "last_dance_en", 'True'),
            ("unkept promise", "unkept_promise_en", 'True'),
            ("", ui.jumps(""), 'False'),
            (u"czech/česky", "", 'False'),
            ("in silence", "in_silence_cs", 'True'),
            ("last dance", "last_dance_cs", 'True'),
            ("unkept promise", "unkept_promise_cs", 'True'),
            ("", "", 'False'),
            ( u"continue game", ui.jumps("_load_screen"), 'True' ),
            ( u"preferences", ui.jumps("_prefs_screen"), 'True' ),
            # ( u"quit",  ui.jumps("_quit"), 'True' ),
            ( u"quit",  "end", 'True' ),
            ]



    # I use translations.rpy to modify text in menus a bit
    $ library.translations[u'Return'] = u'return'
    $ library.translations[u'Preferences'] = u'preferences'
    $ library.translations[u'Quit'] = u'quit'
    $ library.translations[u'Begin Skipping'] = u'begin skipping'
    $ library.translations[u'Save Game'] = u'save game'
    $ library.translations[u'Load Game'] = u'load game'
    $ library.translations[u'Main Menu'] = u'main menu'
    $ library.translations[u'Empty Slot.'] = u'empty slot'
    $ library.translations[u'Yes'] = u'yes'
    $ library.translations[u'No'] = u'no'
    $ library.translations[u'Please click to continue.'] = u'please click to continue'
    $ library.translations[u'Are you sure you want to quit?'] = u'are you sure you want to quit?'
    $ library.translations[u'Are you sure you want to return to the main menu?\nThis will lose unsaved progress.'] = u'are you sure you want to return to the main menu?\nthis will lose unsaved progress'
    $ library.translations[u'Loading will lose unsaved progress.\nAre you sure you want to do this?'] = u'loading will lose unsaved progress\nare you sure you want to do this?'
    $ library.translations[u'Are you sure you want to overwrite your save?'] = u'are you sure you want to overwrite your save?'
    $ library.translations[u'The error message was:'] = u'the error message was:'
    $ library.translations[u'you may want to try saving in a different slot, or playing for a while and trying again later.'] = u'you may want to try saving in a different slot, or playing for a while and trying again later'
    $ library.translations[u'Save Failed.'] = u'save failed'
    $ library.translations[u'Previous'] = u'previous'
    $ library.translations[u'Next'] = u'next'

    # Translatable strings found in common/library.rpy

    $ library.translations[u'Skip Mode'] = u'skip mode'
    $ library.translations[u'Fast Skip Mode'] = u'fast skip mode'

    # Translatable strings found in common/preferences.rpy

    $ library.translations[u'Test'] = u'test'
    $ library.translations[u'Joystick Mapping'] = u'joystick mapping'
    $ library.translations[u'Not Assigned'] = u'not assigned'
    $ library.translations[u'Music Volume'] = u'music volume'
    $ library.translations[u'Sound Volume'] = u'sound volume'
    $ library.translations[u'Left'] = u'left'
    $ library.translations[u'Right'] = u'right'
    $ library.translations[u'Up'] = u'up'
    $ library.translations[u'Down'] = u'down'
    $ library.translations[u'Select/Dismiss'] = u'select/dismiss'
    $ library.translations[u'Rollback'] = u'rollback'
    $ library.translations[u'Hold to Skip'] = u'hold to skip'
    $ library.translations[u'Toggle Skip'] = u'toggle skip'
    $ library.translations[u'Hide Text'] = u'hide text'
    $ library.translations[u'Menu'] = u'menu'
    $ library.translations[u'Move the joystick or press a joystick button to create the mapping. Click the mouse to remove the mapping.'] = u'move the joystick or press a joystick button to create the mapping or click the mouse to remove the mapping'
    $ library.translations[u'Display'] = u'display'
    $ library.translations[u'Window'] = u'window'
    $ library.translations[u'Fullscreen'] = u'fullscreen'
    $ library.translations[u'Transitions'] = u'transitions'
    $ library.translations[u'All'] = u'all'
    $ library.translations[u'Some'] = u'some'
    $ library.translations[u'None'] = u'none'
    $ library.translations[u'Skip'] = u'skip'
    $ library.translations[u'Seen Messages'] = u'seen messages'
    $ library.translations[u'All Messages'] = u'all messages'
    $ library.translations[u'After Choices'] = u'after choices'
    $ library.translations[u'Stop Skipping'] = u'stop skipping'
    $ library.translations[u'Keep Skipping'] = u'keep skipping'
    $ library.translations[u'Text Speed'] = u'text speed'
    $ library.translations[u'Auto-Forward Time'] = u'auto-forward time'
    $ library.translations[u'Joystick...'] = u'joystick...'
    $ library.translations[u'Joystick Configuration'] = u'joystick configuration'
